File: Remove-rc.d-hook-to-set-LIBGL_ALWAYS_INDIRECT-true-a.patch

package info (click to toggle)
ldm 2%3A2.2.15-2
  • links: PTS, VCS
  • area: main
  • in suites: jessie, jessie-kfreebsd
  • size: 1,408 kB
  • ctags: 548
  • sloc: ansic: 4,582; sh: 277; python: 259; makefile: 111; sed: 16
file content (37 lines) | stat: -rw-r--r-- 1,596 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
From 659c052510b3aaa48bdcc0ca384c60af1cb2f9b2 Mon Sep 17 00:00:00 2001
From: Vagrant Cascadian <vagrant@debian.org>
Date: Sun, 1 Feb 2015 11:58:03 -0800
Subject: [PATCH] Remove rc.d hook to set LIBGL_ALWAYS_INDIRECT=true, as it
 causes problems with several common desktops, and can be enabled on a
 per-client basis by setting CLIENT_ENV in lts.conf.
 https://bugs.debian.org/767764

---
 rc.d/Makefile.am | 2 +-
 rc.d/X51-opengl  | 5 -----
 2 files changed, 1 insertion(+), 6 deletions(-)
 delete mode 100644 rc.d/X51-opengl

diff --git a/rc.d/Makefile.am b/rc.d/Makefile.am
index 92f5eb4..47208f2 100644
--- a/rc.d/Makefile.am
+++ b/rc.d/Makefile.am
@@ -1,3 +1,3 @@
 EXTRA_DIST = $(rcd_DATA)
 rcddir = $(datadir)/ldm/rc.d
-rcd_DATA = I01-nbd-checkupdate K99-ltsp-cluster P00-ltsp-cluster S01-setup-xauth S15-userLoginCheck S20-restrictUser S99-debug-terminal S99-ltsp-cluster X50-generate-env X50-dmrc-processing X50-printers X51-opengl X52-xcompmgr X95-run-x-session
+rcd_DATA = I01-nbd-checkupdate K99-ltsp-cluster P00-ltsp-cluster S01-setup-xauth S15-userLoginCheck S20-restrictUser S99-debug-terminal S99-ltsp-cluster X50-generate-env X50-dmrc-processing X50-printers X52-xcompmgr X95-run-x-session
diff --git a/rc.d/X51-opengl b/rc.d/X51-opengl
deleted file mode 100644
index 72eb922..0000000
--- a/rc.d/X51-opengl
+++ /dev/null
@@ -1,5 +0,0 @@
-# Force indirect rendering when using LDM_DIRECTX so we have some working GL by default
-
-if boolean_is_true "$LDM_DIRECTX" && ! boolean_is_true "$LTSP_FATCLIENT"; then
-    CLIENT_ENV="$CLIENT_ENV LIBGL_ALWAYS_INDIRECT=true"
-fi
-- 
2.1.4